aboutsummaryrefslogtreecommitdiff
path: root/media/libs/smpeg/smpeg.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'media/libs/smpeg/smpeg.SlackBuild')
-rw-r--r--media/libs/smpeg/smpeg.SlackBuild31
1 files changed, 20 insertions, 11 deletions
diff --git a/media/libs/smpeg/smpeg.SlackBuild b/media/libs/smpeg/smpeg.SlackBuild
index 3963663b..6143a65d 100644
--- a/media/libs/smpeg/smpeg.SlackBuild
+++ b/media/libs/smpeg/smpeg.SlackBuild
@@ -10,13 +10,13 @@
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General
# Public License for more details.
#
-# You should have received a copy of the GNU General Public License along with
-# this program; if not, write to the Free Software Foundation, Inc., 59 Temple
-# Place - Suite 330, Boston, MA 02111-1307, USA
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
#
# slackbuild for smpeg, by Rudson R. Alves
# requires: sdl
-# tested: smpeg-$(date +%Y.%m.%d)
+# tested: smpeg-
#
# Look for slackbuildrc
@@ -31,9 +31,9 @@ CWD="$(pwd)"
SRC_NAME="smpeg"
PKG_NAME="smpeg"
ARCH=${ARCH:=i486}
-SRC_VERSION=${VERSION:=$(date +%Y.%m.%d)}
+SRC_VERSION=${VERSION:=}
PKG_VERSION="$(echo "$SRC_VERSION" | tr '[[:blank:]-]' '_')"
-BUILD=${BUILD:=1rra}
+BUILD=${BUILD:=1srv}
SRC_DIR=${SRC_DIR:=$CWD}/$PKG_NAME
TMP=${TMP:=/tmp}
PKG=${PKG:=$TMP/package-$PKG_NAME}
@@ -57,6 +57,7 @@ elif [ "$ARCH" = "s390" ]; then
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
LIBDIR="$PREFIX/lib64"
+ LDFLAGS="-L/lib64 -L/usr/lib64"
fi
# Set error codes (used by createpkg)
@@ -76,13 +77,21 @@ mkdir -p "$REPOS" || exit $ERROR_MKDIR
mkdir -p "$PKG_WORK" || exit $ERROR_MKDIR
# Get svn source code
+[ "`find "$SRC_DIR/" -name .svn`" != "" ] && SVN_ACTION="update" || SVN_ACTION="checkout"
+cd "$SRC_DIR"
+svn $SVN_ACTION svn://svn.icculus.org/smpeg/trunk $PKG_SRC || exit $ERROR_VCS
+SND_DIR="`ls -l | awk '/^d/ { print $NF }'`"
+cd $SND_DIR
+PKG_VERSION="`svn info | awk '/Last Changed Rev:/ { print $4 }'`_svn"
+
+# Copy svn source
cd "$PKG_WORK"
-svn checkout svn://svn.icculus.org/smpeg/trunk $PKG_SRC || exit $ERROR_VCS
-PKG_SRC="$PWD/`ls -l | awk '/^d/ { print $8 }'`"
+cp -a $SRC_DIR/* .
+PKG_SRC="$PWD/$SND_DIR"
cd "$PKG_SRC"
-[ -e autogen.sh ] && . ./autogen.sh
# Configure
+[ -e autogen.sh ] && . ./autogen.sh
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
@@ -115,9 +124,9 @@ done
mkdir -p "$PKG/install" || exit $ERROR_MKDIR
cat << EODESC > "$PKG/install/slack-desc"
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
+# on the right side marks the last column you can put a character in. You must
# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.